Get Dynamic Endpoint
GET /obp/v7.0.0/management/dynamic-endpoints/DYNAMIC_ENDPOINT_ID
OBPv4.0.0-getDynamicEndpoint Roles: CanGetDynamicEndpoint Dynamic-Endpoint-ManageAPI
Get a Dynamic Endpoint.
Get one DynamicEndpoint,
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example success response
{
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"dynamic_endpoint_id": "dynamic-endpoint-id",
"swagger_string": {
"swagger": "2.0",
"info": {
"title": "Bank Accounts (Dynamic Endpoint)",
"version": "1.0.0"
},
"definitions": {
"AccountName": {
"type": "object",
"properties": {
"name": {
"type": "string",
"example": "family account"
},
"balance": {
"type": "integer",
"format": "int64",
"example": 1000.123
}
}
}
},
"paths": {
"/accounts": {
"post": {
"operationId": "POST_account",
"produces": [
"application/json"
],
"responses": {
"201": {
"description": "Success Response",
"schema": {
"$ref": "#/definitions/AccountName"
}
}
},
"consumes": [
"application/json"
],
"description": "POST Accounts",
"summary": "POST Accounts"
}
},
"/accounts/{account_id}": {
"get": {
"operationId": "GET_account",
"produces": [
"application/json"
],
"responses": {
"200": {
"description": "Success Response",
"schema": {
"$ref": "#/definitions/AccountName"
}
}
},
"consumes": [
"application/json"
],
"description": "Get Bank Account",
"summary": "Get Bank Account by Id"
}
}
},
"host": "obp_mock",
"schemes": [
"http",
"https"
]
}
}Possible errors (5)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-09009: DynamicEndpoint not found. Please specify a valid value for DYNAMIC_ENDPOINT_ID.
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.